/*$Id: iceb_t_sql_readkey.c,v 5.7 2013/05/17 14:56:31 sasa Exp $*/
/*11.04.2012	20.03.2005	Белых А.И.	iceb_t_sql_readkey.c
Чтение записи по ключу в базе данных
*/
#include "buhl.h"

int iceb_t_sql_readkey(const char *zapros,SQL_str *row,SQLCURSOR *cur,WINDOW *win)
{

int voz=0;
if((voz=sql_readkey(&bd,zapros,row,cur)) < 0)
    iceb_t_msql_error(&bd,__FUNCTION__,zapros,win);

return(voz);
}

int iceb_t_sql_readkey(char *zapros,WINDOW *win)
{
SQL_str row;
SQLCURSOR cur;
int voz=0;
if((voz=sql_readkey(&bd,zapros,&row,&cur)) < 0)
    iceb_t_msql_error(&bd,__FUNCTION__,zapros,win);

return(voz);
}
/**********************************/
int iceb_t_sql_readkey(const char *zapros,SQL_str *row,SQLCURSOR *cur)
{
return(iceb_t_sql_readkey(zapros,row,cur,stdscr));
}
/****************************/
int iceb_t_sql_readkey(char *zapros)
{
return(iceb_t_sql_readkey(zapros,stdscr));
}
